**Full name**: projects.locations.featureOnlineStores.featureViews.fetchFeatureValues

Fetch feature values under a FeatureView.

### Endpoint

post `https://{service-endpoint}/v1beta1/{featureView}:fetchFeatureValues`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`featureView` `string` Required. FeatureView resource format `projects/{project}/locations/{location}/featureOnlineStores/{featureOnlineStore}/featureViews/{featureView}`

### Request body

The request body contains data with the following structure:
Fields `dataKey` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataKey`)`` Optional. The request key to fetch feature values for.
`dataFormat` ``enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataFormat`)`` Optional. Response data format. If not set, `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FeatureViewDataFormat#ENUM_VALUES.KEY_VALUE` will be used.
`format
(deprecated)` ``enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/fetchFeatureValues#Format`)`` Specify response data format. If not set, keyvalue format will be used. Deprecated. Use `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/fetchFeatureValues#body.request_body.FIELDS.data_format`.
`entity_id` `Union type` Entity ID to fetch feature values for. Deprecated. Use `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.featureOnlineStores.featureViews/fetchFeatureValues#body.request_body.FIELDS.data_key`. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: `id
(deprecated)` `string` Simple id. The whole string will be used as is to identify Entity to fetch feature values for.
End of mutually exclusive fields.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/FetchFeatureValuesResponse`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `featureView` resource:

- `aiplatform.featureViews.fetchFeatureValues`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Format

> [!WARNING]
> This item is deprecated!

Format of the response data.

| Enums ||
|---|---|
| `FORMAT_UNSPECIFIED` | Not set. Will be treated as the keyvalue format. |
| `KEY_VALUE` | Return response data in key-value format. |
| `PROTO_STRUCT` | Return response data in proto Struct format. |